### Hierarchy

- TransactGetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- params
- tables

### Methods

- exec
- execFullResponse
- execNoMap
- forModel
- mapResponse
- returnConsumedCapacity

## Constructors

### constructor

- new TransactGetRequest(): TransactGetRequest

- - Defined in dynamo/transactget/transact-get.request.ts:17

  #### Returns TransactGetRequest

## Properties

### Private dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/transactget/transact-get.request.ts:16

### params

params: TransactGetItemsInput

- Defined in dynamo/transactget/transact-get.request.ts:15

### Private tables

tables: Array<ModelConstructor<any>> = []

- Defined in dynamo/transactget/transact-get.request.ts:17

## Methods

### exec

- exec(): Observable<[]>

- - Defined in dynamo/transactget/transact-get.request.ts:71

  #### Returns Observable<[]>

### execFullResponse

- execFullResponse(): Observable<TransactGetFullResponse<[]>>

- - Defined in dynamo/transactget/transact-get.request.ts:65

  #### Returns Observable<TransactGetFullResponse<[]>>

### execNoMap

- execNoMap(): Observable<TransactGetItemsOutput>

- - Defined in dynamo/transactget/transact-get.request.ts:61

  #### Returns Observable<TransactGetItemsOutput>

### forModel

- forModel<T>(modelClazz: ModelConstructor<T>, key: Partial<T>): TransactGetRequest1<T>

- - Defined in dynamo/transactget/transact-get.request.ts:27

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### key: Partial<T>

  #### Returns TransactGetRequest1<T>

### Private mapResponse

- mapResponse(response: TransactGetItemsOutput): TransactGetFullResponse<[]>

- - Defined in dynamo/transactget/transact-get.request.ts:79

  #### Parameters

  - ##### response: TransactGetItemsOutput

  #### Returns TransactGetFullResponse<[]>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactGetRequest

- - Defined in dynamo/transactget/transact-get.request.ts:56

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactGetRequest

Generated using TypeDoc